<!DOCTYPE html>
<html>
    <head>
        <title>[% title %]</title>
        <meta charset="utf-8">

        <!-- Stylesheets -->
        <link rel="stylesheet" href="[% utils %]/style/base.css">
        <link rel="stylesheet" href="[% utils %]/vendor/katex/katex.min.css">
        [% TRY %]
            [% USE File("local.css") %]
                <!-- Include 'local.css' if it exists -->
                <link rel="stylesheet" href="[% File.path %]">
        [% CATCH %]
        [% END %]

        <!-- Scripts loading -->
        <script defer src="[% utils %]/vendor/remark/remark.min.js"></script>

        <script defer src="[% utils %]/vendor/katex/katex.min.js"></script>
        <script defer src="[% utils %]/vendor/katex/contrib/auto-render.min.js"></script>

        <script defer src="[% utils %]/highlightjs/gdb.js"></script>
        <script defer src="[% utils %]/highlightjs/makefile.js"></script>
        <script defer src="[% utils %]/highlightjs/terminal.js"></script>

        <script defer src="[% utils %]/remark/filename.js"></script>
        <script defer src="[% utils %]/remark/flush.js"></script>
        <script defer src="[% utils %]/remark/newline.js"></script>
        <script defer src="[% utils %]/remark/scale.js"></script>

        <!-- Slides processing -->
        <script type="text/javascript">
            function slides_process()
            {
                var remark_opts = {
                    /* Default language for syntax highlighting */
                    highlightLanguage: 'terminal',
                    /* Highlight inline code (inside simple backticks) */
                    highlightSpans: true,
                    /* Mark lines marked with an asterix */
                    highlightLines: true,
                    /* Configure incremental slides */
                    disableIncrementalSlides: [% incslides %],
                    /* Disable counting incremental slides */
                    countIncrementalSlides: false,
                    [% IF totslides != 'true' %]
                        /* Don't show total number of slides */
                        slideNumberFormat: '%current%',
                    [% END %]
                };

                var katex_render = function() {
                    renderMathInElement(document.body, { delimiters: [
                        {left: "$", right: "$", display: false},
                        {left: "\\(", right: "\\)", display: false},
                        {left: "$$", right: "$$", display: true},
                        {left: "\\[", right: "\\]", display: true},
                    ]});
                }

                var slideshow = remark.create(remark_opts, katex_render);
            }
        </script>
    </head>

    <body onload="slides_process()">
        <textarea id="source">
[% PROCESS content %]
        </textarea>
    </body>
</html>

